# find . -name "*.cpp" -not -ipath "*tests*" -not -ipath "*progs*" > corefiles.cmake.t
SET(nice_optimization_SRC
./NewtonMethodOptimizer.cpp
./BrentLineSearcher.cpp
./SimpleOptTestGrid.cpp
./PowellBrentOptimizer.cpp
./Constraints.cpp
./BFGSOptimizer.cpp
./ParamLog.cpp
./AdditionalIceUtils.cpp
./DerivativeBasedOptimizer.cpp
./EmptyLog.cpp
./Plotter.cpp
./GoldenCutLineSearcher.cpp
./AdaptiveDirectionRandomSearchOptimizer.cpp
./CostFunction_ndim_2ndOrder.cpp
./FileLog.cpp
./ArmijoLineSearcher.cpp
./OptTestSuite.cpp
./MatrixIterativeOptimizer.cpp
./LineSearcher.cpp
./GradientDescentOptimizer.cpp
./CombinatorialOptimizer.cpp 
./tests/MyCostFunction.cpp
)

set(nice_optimization_HDR
./GradientDescentOptimizer.h
./BFGSOptimizer.h
./ParamLog.h
./MatrixIterativeOptimizer.h
./BrentLineSearcher.h
./AdaptiveDirectionRandomSearchOptimizer.h
./DerivativeBasedOptimizer.h
./Constraints.h
./NewtonMethodOptimizer.h
./ArmijoLineSearcher.h
./liboptimization.h
./CostFunction_ndim_2ndOrder.h
./LineSearcher.h
./OptTestSuite.h
./EmptyLog.h
./FileLog.h
./CombinatorialOptimizer.h
./InequalityConstraints.h
./AdditionalIceUtils.h
./GoldenCutLineSearcher.h
./PowellBrentOptimizer.h
./SimpleOptTestGrid.h
./Opt_Namespace.h
./EqualityConstraints.h
./Plotter.h
)