#ifndef _MYCOSTFUNCTION_H
#define _MYCOSTFUNCTION_H

//#include <cppunit/extensions/HelperMacros.h>
#include "core/optimization/blackbox/CostFunction.h"

namespace OPTIMIZATION
{

  //define a simple cost function for one-dimensional or two-dimensional data
  class MyCostFunction : public CostFunction
  {
  public:

      MyCostFunction(const int & dim, bool verbose) : CostFunction(dim), m_bVerbose(verbose)
      {}

      virtual double evaluate(const OPTIMIZATION::matrix_type & x);

  private:
      bool m_bVerbose;

  }; //class
}//namespace

#endif
